- Qt 6.10
- Qt Wayland Compositor
- C++ Classes
- QWaylandShellSurface
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandShellSurface Class

The QWaylandShellSurface class is a common interface for surface roles specified by shell extensions. More...

Header: | `#include <QWaylandShellSurface>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor)` `target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)`
qmake: | `QT += waylandcompositor`
In QML: | ShellSurface
Inherits: | QWaylandCompositorExtension
Inherited By: | QWaylandShellSurfaceTemplate

- List of all members, including inherited members

## Properties

- `(since 6.8)` modal : const bool
- windowType : const Qt::WindowType

## Public Functions

bool | isModal() const
virtual Qt::WindowType | windowType() const

## Signals

void | modalChanged()
void | windowTypeChanged()

## Detailed Description

This interface represents a Wayland surface role given by a Wayland protocol extension that defines how the QWaylandSurface should map onto the screen.

See also QWaylandSurface, QWaylandWlShellSurface, QWaylandIviSurface, and QWaylandShellSurfaceTemplate.

## Property Documentation

### `[read-only, since 6.8]` modal : const bool

This property is true if the ShellSurface represents a modal dialog.

This property was introduced in Qt 6.8.

Access functions:

bool | isModal() const

Notifier signal:

void | modalChanged()

### `[read-only]` windowType : const Qt::WindowType

This property holds the window type of the QWaylandShellSurface.

Access functions:

virtual Qt::WindowType | windowType() const

Notifier signal:

void | windowTypeChanged()